<template>
    <el-time-select
        class="pam-time cursor--pointer"
        popper-class="pam-time-popper"
        v-model="timeValue"
        :clearable="false"
        :picker-options="pickerOptions"
        placeholder="選擇時間"
        prefix-icon="icon-down"
        value-format="timestamp"
        @change="changeTime"
    >
    </el-time-select>
</template>

<script lang="ts">
import { Component, Emit, Vue } from "nuxt-property-decorator";

@Component
export default class UiTimePicker extends Vue {
    timeValue = '';
    pickerOptions = {
        start: '09:00',
        step: '00:15',
        end: '21:00'
    }

    @Emit('changeTime')
    changeTime() {
        return this.timeValue;
    }
}
</script>